export class EdelZeroData {
    constructor() {
        this.details = null;
        this.center = false;
        this.grid = false;
    }
    render() {
        return (h("edel-layout", { inner: true, center: this.center, class: "layout-title" },
            h("div", { class: this.grid ? 'title title--grid' : 'title' },
                h("h2", { class: "title-heading" }, this.title),
                h("p", { class: "title-desc" }, this.details),
                h("slot", null))));
    }
    static get is() { return "edel-zero-data"; }
    static get properties() { return {
        "center": {
            "type": Boolean,
            "attr": "center"
        },
        "details": {
            "type": String,
            "attr": "details"
        },
        "grid": {
            "type": Boolean,
            "attr": "grid"
        },
        "title": {
            "type": String,
            "attr": "title"
        }
    }; }
}
